kCores {RBGL} | R Documentation

## Find all the k-cores in a graph

### Description

Find all the k-cores in a graph

### Usage

    kCores(g, EdgeType=c("in", "out"))

### Arguments

`g` | an instance of the `graph` class
`EdgeType` |

{what types of edges to be considered when `g` is directed }

### Details

A k-core in a graph is a subgraph where each node is adjacent to at least a minimum number, k, of the other nodes in the subgraph.

The implementation is based on the algorithm by V. Batagelj and M. Zaversnik, 2002.

The example `snacoreex.gxl` is in the paper by V. Batagelj and M. Zaversnik, 2002.

### Value

A vector of the core numbers for all the nodes in `g`.

### Author(s)

Li Long <li.long@isb-sib.ch>

### References

Social Network Analysis: Methods and Applications. By S. Wasserman and K. Faust, pp. 266. An O(m) Algorithm for Cores decomposition of networks, by V. Batagelj and M. Zaversnik, 2002.

### See Also

### Examples

    kcoex <- fromGXL(file(system.file("XML/snacoreex.gxl",package="RBGL")))
    kCores(kcoex)

    kcoex2 <- fromGXL(file(system.file("XML/conn2.gxl",package="RBGL")))
    kCores(kcoex2)
    kCores(kcoex2, "in")
    kCores(kcoex2, "out")

[Package RBGL version 1.10.0 Index]